All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class Panel

    com.sas.awt.Panel

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, ComponentInterface, DesignTimeDropTargetInterface, LinkPropertiesInterface, ModelInterface, ValidatorInterface, ViewInterface, MultipleValueEventSourceInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  BasicColorsPanel, BorderedPanel, BufferedPanel, ClassSelectorPanel, ColorPanel, CompositePanel, CustomColorsPanel, FileListFiltersPanel, FontPanel, PropertyEditorHost, TabFolder

    public class Panel

Panel extends the java.awt.Panel class and contains webAF functionality. It contains all the functionality of the Component class, as well as the functionality of the Canvas class.

Note that the default constructor Panel class sets the LayoutManager to null.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`Panel()` The default constructor.
`Panel(java.awt.LayoutManager layoutManager)` Constructor that allows a layout manager to be set at creation.

Method Summary
`static int` | `getDefaultHeight()` Returns the default height for instances of this class
`static int` | `getDefaultWidth()` Returns the default width for instances of this class
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for this class.
`void` | `remove(java.awt.Component component)` Removes the specified component from the panel
`void` | `remove(int index)` Removes the component, specified by the index, from the panel container.
`void` | `removeAll()` Removes all components from the panel
`static void` | `setDefaultHeight(int newDefaultHeight)` Sets the default height of the component.
`void` | `setDefaultValues()` Sets all default values for the panel.
`static void` | `setDefaultWidth(int newDefaultWidth)` Sets the default width of the component.

Methods inherited from class com.sas.awt.PanelContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.PanelVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### Panel

    public Panel()

  The default constructor. This constructor will not be called by the webAF container at design time.

  See Also:
    `Component.Component()`

### Panel

    public Panel(java.awt.LayoutManager layoutManager)

  Constructor that allows a layout manager to be set at creation.

  See Also:
    `Component.Component()`

Method Detail

### getDefaultWidth

    public static int getDefaultWidth()

  Returns the default width for instances of this class

  Returns:
    the default width in pixels
  See Also:
    `setDefaultWidth(int)`

### setDefaultWidth

    public static void setDefaultWidth(int newDefaultWidth)

  Sets the default width of the component. The default width will be used by webAF when creating this component.

  Parameters:
    `newDefaultWidth` - the new default width in pixels
  See Also:
    `getDefaultWidth()`

### getDefaultHeight

    public static int getDefaultHeight()

  Returns the default height for instances of this class

  Returns:
    the default height in pixels
  See Also:
    `setDefaultHeight(int)`

### setDefaultHeight

    public static void setDefaultHeight(int newDefaultHeight)

  Sets the default height of the component. The default height will be used by webAF when creating this component.

  Parameters:
    `newDefaultHeight` - the new default height in pixels
  See Also:
    `getDefaultHeight()`

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for this class.

  Returns:
    ExtendedBeanInfo for this class

### setDefaultValues

    public void setDefaultValues()

  Sets all default values for the panel.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `ComponentInterface`
  Overrides:
    `setDefaultValues` in class `PanelContainerComponent`
  See Also:
    `ContainerInterface.setDefaultValues()`

### remove

    public void remove(int index)

  Removes the component, specified by the index, from the panel container.

  Overrides:
    `remove` in class `java.awt.Container`
  Parameters:
    `index` - index of the component to be removed

### remove

    public void remove(java.awt.Component component)

  Removes the specified component from the panel

  Overrides:
    `remove` in class `java.awt.Container`
  Parameters:
    `component` - the component to be removed

### removeAll

    public void removeAll()

  Removes all components from the panel

  Overrides:
    `removeAll` in class `java.awt.Container`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.